# -*- encoding: utf-8 -*-
# stub: bindex 0.5.0 ruby lib
# stub: ext/bindex/extconf.rb

Gem::Specification.new do |s|
  s.name = "bindex".freeze
  s.version = "0.5.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Genadi Samokovarov".freeze]
  s.date = "2020-02-26"
  s.email = ["gsamokovarov@gmail.com".freeze]
  s.extensions = ["ext/bindex/extconf.rb".freeze]
  s.files = ["CONTRIBUTING.md".freeze, "Gemfile".freeze, "LICENSE.txt".freeze, "README.md".freeze, "Rakefile".freeze, "bindex.gemspec".freeze, "ext/bindex/com/gsamokovarov/bindex/BindingBuilder.java".freeze, "ext/bindex/com/gsamokovarov/bindex/CurrentBindingsIterator.java".freeze, "ext/bindex/com/gsamokovarov/bindex/JRubyIntegration.java".freeze, "ext/bindex/com/gsamokovarov/bindex/RubyBindingsCollector.java".freeze, "ext/bindex/com/gsamokovarov/bindex/SetExceptionBindingsEventHook.java".freeze, "ext/bindex/com/gsamokovarov/bindex/ThreadContextInterfaceException.java".freeze, "ext/bindex/com/gsamokovarov/bindex/ThreadContextInternals.java".freeze, "ext/bindex/cruby.c".freeze, "ext/bindex/extconf.rb".freeze, "lib/bindex.rb".freeze, "lib/bindex/jruby.rb".freeze, "lib/bindex/jruby_internals.jar".freeze, "lib/bindex/rubinius.rb".freeze, "lib/bindex/version.rb".freeze, "test/current_bindings_test.rb".freeze, "test/exception_test.rb".freeze, "test/fixtures/basic_nested_fixture.rb".freeze, "test/fixtures/custom_error_fixture.rb".freeze, "test/fixtures/eval_nested_fixture.rb".freeze, "test/fixtures/flat_fixture.rb".freeze, "test/fixtures/reraised_fixture.rb".freeze, "test/test_helper.rb".freeze]
  s.homepage = "https://github.com/gsamokovarov/bindex".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.1.2".freeze
  s.summary = "Bindings for your Ruby exceptions".freeze
  s.test_files = ["test/current_bindings_test.rb".freeze, "test/exception_test.rb".freeze, "test/fixtures/basic_nested_fixture.rb".freeze, "test/fixtures/custom_error_fixture.rb".freeze, "test/fixtures/eval_nested_fixture.rb".freeze, "test/fixtures/flat_fixture.rb".freeze, "test/fixtures/reraised_fixture.rb".freeze, "test/test_helper.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.4"])
    s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake-compiler>.freeze, [">= 0"])
  else
    s.add_dependency(%q<minitest>.freeze, ["~> 5.4"])
    s.add_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<rake-compiler>.freeze, [">= 0"])
  end
end
